// RW Windowing System
// ===================
// -The software testbed for adapting RW systems to use the FLTK GUI backend

// filename: rw_window_main.cpp
// -The program's entry point

#include "Window.hpp"

//------------------------------------------------------------------------------
/** The program's entry point
 * @param[in] argc the CLI arguments count
 * @param[in] argv the CLI arguments C-string array
 * @return the program's exit status
 * @note: for now, this is just a basic windowing testbed to support the @b
 * 'ch14_all' project work for the PPP2 @a 're-research'.
 */
int main(int argc, char** argv) {
  rw::Window robowaifu_wins{742, 442, "RW Wins"};
  return robowaifu_wins.display(argc, argv);
}

// Copyright (2021)
// License MIT (Expat) https://opensource.org/licenses/MIT
